using System;
using System.Collections.ObjectModel;
using NinjaTrader.Cbi;

internal sealed class Delegate401 : MulticastDelegate
{
	public extern Collection<Execution> Invoke(object object_0);

	public static Collection<Execution> smethod_0(object object_0, Delegate401 delegate401_1)
	{
		return delegate401_1(object_0);
	}

	public extern Delegate401(object object_0, IntPtr intptr_0);

	static Delegate401()
	{
		Class10.smethod_13(typeof(Delegate401).TypeHandle);
	}

	internal static Delegate401 delegate401_0;
}
